
Ryzom - Feature # 142

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 10/03/2008 Assignee: sfb
Updated: 09/30/2010 Due date:
Subject: Replace atoi and sscanf by fromString when it's possible
Description

Since fromString are pasing unit tests, we can use them instead of unsafe atoi and sscanf when it's possible.

History
#1 - 10/03/2008 12:56 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r413.

#2 - 10/03/2008 12:57 pm - kervala
- Assignee set to kervala

#3 - 05/11/2009 05:14 pm - sfb
- Status changed from Resolved to Assigned
- Assignee changed from kervala to sfb

Re-opening this. There still are a lot of atoi calls.

#4 - 09/03/2009 03:21 pm - sfb
- Status changed from Assigned to Closed

I hate the phrase 'good enough' but a lot of the calls that are left are in sensitive areas. I'm closing this.

#5 - 09/29/2010 09:24 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 11:34 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
